=== debian/control ===
Source: eclipse-platform
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk (>= 2:1.17),
 eclipse-debian-helper (>= 1.10~),
 libatinject-jsr330-api-java,
 libeclipse-core-commands-java,
 libeclipse-core-filebuffers-java,
 libeclipse-e4-ui-services-java,
 libeclipse-jface-java,
 libeclipse-jface-text-java (>= 3.20),
 libeclipse-osgi-java,
 libeclipse-osgi-services-java (>= 3.7.0),
 libeclipse-text-java (>= 3.9),
 libeclipse-ui-editors-java,
 libeclipse-ui-forms-java,
 libeclipse-ui-ide-java,
 libeclipse-ui-java (>= 3.111),
 libeclipse-ui-navigator-java,
 libeclipse-ui-views-java,
 libeclipse-ui-workbench-java (>= 3.115),
 libeclipse-ui-workbench-texteditor-java,
 libequinox-app-java,
 libequinox-common-java (>= 3.13),
 libequinox-preferences-java,
 libequinox-registry-java,
 libequinox-security-java,
 libgeronimo-annotation-1.3-spec-java,
 libicu4j-java,
 libjsch-java,
 libswt-gtk-4-java (>= 4.8)
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/java-team/eclipse-platform.git
Vcs-Browser: https://salsa.debian.org/java-team/eclipse-platform
Homepage: http://www.eclipse.org/eclipse/platform-core/
Rules-Requires-Root: no

Package: libeclipse-compare-java
Architecture: all
Depends:
 libeclipse-core-commands-java,
 libeclipse-core-filebuffers-java,
 libeclipse-jface-java,
 libeclipse-jface-text-java,
 libeclipse-text-java,
 libeclipse-ui-editors-java,
 libeclipse-ui-forms-java,
 libeclipse-ui-ide-java,
 libeclipse-ui-navigator-java,
 libeclipse-ui-views-java,
 libeclipse-ui-workbench-java,
 libeclipse-ui-workbench-texteditor-java,
 libequinox-common-java (>= 3.12),
 libequinox-preferences-java,
 libequinox-registry-java,
 libicu4j-java,
 libswt-gtk-4-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse Compare Support
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.compare bundle.

Package: libeclipse-compare-core-java
Architecture: all
Depends:
 libequinox-common-java,
 libicu4j-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse Core Compare Support
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.compare.core bundle.

Package: libeclipse-core-jobs-java
Architecture: all
Depends:
 libequinox-common-java,
 ${bundle-Depends},
 ${misc:Depends}
Description: Eclipse Core Jobs
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.jobs bundle.

Package: libeclipse-core-contenttype-java
Architecture: all
Depends:
 libequinox-common-java (>= 3.13),
 ${bundle-Depends},
 ${misc:Depends}
Description: Eclipse Content Mechanism
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.contenttype bundle.

Package: libeclipse-core-externaltools-java
Architecture: all
Depends:
 libequinox-common-java,
 libequinox-registry-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse External Tools Headless Support
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.externaltools bundle.

Package: libeclipse-core-filesystem-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Core File Systems
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.filesystem bundle which provides
 an abstract, generic file system API, including an implementation of this
 API for the local file system. This is the API through which the resources
 plugin accesses an underlying file system.

Package: libeclipse-core-net-java
Architecture: all
Depends:
 libeclipse-osgi-java,
 libequinox-common-java,
 libequinox-preferences-java,
 libequinox-registry-java,
 libequinox-security-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse Internet Connection Management
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.net bundle.

Package: libeclipse-core-resources-java
Architecture: all
Depends: ${bundle:Depends}, ${misc:Depends}
Description: Eclipse Core Resource Management
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.resources bundle.

Package: libeclipse-core-runtime-java
Architecture: all
Depends: ${bundle-Depends}, ${misc:Depends}
Description: Eclipse Core Runtime
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.runtime bundle.

Package: libeclipse-core-expressions-java
Architecture: all
Depends:
 libequinox-common-java,
 libequinox-preferences-java,
 libequinox-registry-java,
 ${bundle-Depends},
 ${misc:Depends}
Description: Eclipse Expression Language
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.expressions bundle.

#Package: libeclipse-core-tools-java
#Architecture: all
#Depends: ${misc:Depends}, ${bundle-Depends}, libequinox-common-java, libequinox-preferences-java, libequinox-registry-java
#Description: Eclipse Core Tools
# Eclipse Platform defines the set of frameworks and common services that
# collectively make up infrastructure required to support the use of Eclipse
# as a component model, as a Rich Client Platform (RCP) and as a comprehensive
# tool integration platform. The core component provides basic platform
# infrastructure that does not involve any UI.
# .
# This package contains the org.eclipse.core.tools bundle.

Package: libeclipse-core-variables-java
Architecture: all
Depends:
 libeclipse-osgi-java,
 libequinox-common-java,
 libequinox-preferences-java,
 libequinox-registry-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse Core Variables
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.core.variables bundle.

Package: libeclipse-debug-core-java
Architecture: all
Depends:
 libequinox-common-java,
 libequinox-preferences-java,
 libequinox-registry-java,
 libicu4j-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse Debug Core
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.debug.core bundle.

Package: libeclipse-debug-ui-java
Architecture: all
Depends:
 libeclipse-core-commands-java,
 libeclipse-e4-ui-services-java,
 libeclipse-jface-java,
 libeclipse-jface-text-java (>= 3.20),
 libeclipse-text-java,
 libeclipse-ui-editors-java,
 libeclipse-ui-forms-java,
 libeclipse-ui-ide-java,
 libeclipse-ui-java (>= 3.111),
 libeclipse-ui-workbench-java (>= 3.115),
 libeclipse-ui-workbench-texteditor-java,
 libequinox-common-java,
 libequinox-preferences-java,
 libequinox-registry-java,
 libicu4j-java,
 libswt-gtk-4-java,
 ${bundle:Depends},
 ${misc:Depends}
Description: Eclipse Debug UI
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.debug.ui bundle.

Package: libeclipse-e4-core-contexts-java
Architecture: all
Depends:
 libatinject-jsr330-api-java,
 libeclipse-osgi-services-java,
 ${bundle-Depends},
 ${misc:Depends}
Description: Eclipse Contexts
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
 This package contains the org.eclipse.e4.core.contexts bundle.

Package: libeclipse-e4-core-di-java
Architecture: all
Depends:
 libatinject-jsr330-api-java,
 libgeronimo-annotation-1.3-spec-java,
 ${bundle-Depends},
 ${misc:Depends}
Description: Eclipse Dependency Injection
 Eclipse Platform defines the set of frameworks and common services that
 collectively make up infrastructure required to support the use of Eclipse
 as a component model, as a Rich Client Platform (RCP) and as a comprehensive
 tool integration platform. The core component provides basic platform
 infrastructure that does not involve any UI.
 .
